﻿using Orchard.MediaProcessing.Models;
using System.Collections.Generic;
using Vitus.MediaProcessing.Models;

namespace Vitus.MediaProcessing.ViewModels
{
    public class MediaProfileAttachmentsPartViewModel
    {
        public IEnumerable<MediaProfileAttachmentRecord> Attachments { get; set; }

        public IEnumerable<ImageProfilePart> Profiles { get; set; }

        /// <summary>
        /// Format: ({MediaPath}:{ProfileName})?(|{MediaPath}:{ProfileName})*
        /// </summary>
        public string SelectedAttachments { get; set; }
    }
}