﻿using Orchard;
using System.Collections.Generic;
using Vitus.MediaProcessing.Models;

namespace Vitus.MediaProcessing.Services
{
    public interface IMediaProfileAttachmentService : IDependency
    {
        IEnumerable<MediaProfileAttachmentRecord> GetMediaProfileAttachments(int contentId);

        void AddMediaProfileAttachment(int contentId, string mediaPath, string profileName);

        void DeleteMediaProfileAttachment(int id);

        void DeleteMediaProfileAttachments(int contentId);
    }
}